Subject: bug#21644: 24.4; completing-read acts differently on functional collection

From: "Ryan C. Thompson" <[email-masked]>
Date: Tue, 13 Oct 2015 11:59:59 -0700

On 10/12/2015 07:27 PM, Dmitry Gutov wrote:
> On 10/13/2015 04:34 AM, Ryan wrote:
>
>> I wasn't aware of `test-completion'. I was going based on the docstring
>> for `completing-read', which only mentions `try-completion' and
>> `all-completions'.
>
> Maybe it should mention test-completion as well. 
> completion-table-with-predicate does.
>
>> Is there any other documentation I should have
>> consulted?
>
> (info "(elisp) Programmed Completion") or
> (info "(elisp) Basic Completion"), probably.
Maybe the `completing-read' docstring should link to these info nodes.